/*
This is a part of the Alternative Shell Setup Project source code.

Copyright (C) 2002 Bobby G. Vinyard

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
#ifndef __INCLUDE_COMMON_H
#define __INCLUDE_COMMON_H

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
#ifndef STRICT
#define STRICT
#endif
#ifndef NOCRYPT
#define NOCRYPT
#endif
#include <windows.h>

#pragma include_alias("lsapi.h", "../../../cvs/ls-b24/lsapi/lsapi.h")
#pragma include_alias("lswinbase.h", "../../../cvs/ls-b24/lsapi/lswinbase.h")
#pragma include_alias("lscommon.h", "../../../cvs/ls-b24/lsapi/common.h")
#pragma include_alias("lswinbasex.h", "../../../cvs/ls-b24/lsapi/lswinbasex.h")
#pragma include_alias("hook.h", "../../../cvs/ls-b24/hook/hook.h")

#ifdef _DEBUG
	#pragma comment(lib, "../../../cvs/ls-b24/lsapi/debug/lsapi.lib")
#else // _DEBUG
	#pragma comment(lib, "../../../cvs/ls-b24/lsapi/release/lsapi.lib")
#endif // _DEBUG

#endif // __INCLUDE_COMMON_H